/**
 * @file acl.h ACL functions and definitions
 *
 * gaim
 *
 * Gaim is the legal property of its developers, whose names are too numerous
 * to list here.  Please refer to the COPYRIGHT file distributed with this
 * source distribution.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
#ifndef _RVP_ACL_H_
#define _RVP_ACL_H_

#define RVP_NONE     0
#define RVP_DENY     1
#define RVP_PERMIT   2

/**
 * Get the buddies of the user registered in gaim.
 *
 * @param gc The connection on which get the buddies.
 */
void rvp_get_acl_buddies(GaimConnection *gc);

/**
 * Get the buddies of the user registered in gaim.
 *
 * @param session The session to use.
 * @param buddy   The buddy to deny.
 */
void rvp_set_acl_deny(RvpSession *session, GaimBuddy *buddy);

/**
 * Get the buddies of the user registered in gaim.
 *
 * @param session The session to use.
 * @param buddy   The buddy to deny.
 */
void rvp_set_acl_permit(RvpSession *session, GaimBuddy *buddy);

#endif /* _RVP_PROPERTY_H_ */
