/**
 * @file authentication.h RVP authentication functions
 *
 * gaim
 *
 * Copyright (C) 2005 Fabien Carrion <fabien.carrion@gmail.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
#ifndef _RVP_AUTHENTICATION_H_
#define _RVP_AUTHENTICATION_H_

/**
 * Encodes the RVP password.
 *
 * @param session The current RvpSession.
 * @param hc The current RvpHttpconn.
 *
 * @return The password encoded.
 */
gchar *rvp_encode_password(RvpSession *session, RvpHttpconn *hc);

#endif
