/**
 * @file incomconn.h RVP incomming connection functions
 *
 * gaim
 *
 * Copyright (C) 2005 Fabien Carrion <fabien.carrion@gmail.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
#ifndef _RVP_INCOMCONN_H_
#define _RVP_INCOMCONN_H_

/**
 * Callback for new message connections on incoming TCP port.
 *
 * @param data     The RVP gc.
 * @param source   The source socket.
 * @param cond     The condition.
 */
void rvp_newconn_cb(gpointer data, gint source, GaimInputCondition cond);

/**
 * Callback for new file connections on incoming TCP port.
 *
 * @param data     The RVP xfer.
 * @param source   The source socket.
 * @param cond     The condition.
 */
void rvp_newfile_cb(gpointer data, gint source, GaimInputCondition cond);

#endif /* _RVP_INCOMCONN_H_ */
