/**
 * @file property.h Property functions and definitions
 *
 * gaim
 *
 * Gaim is the legal property of its developers, whose names are too numerous
 * to list here.  Please refer to the COPYRIGHT file distributed with this
 * source distribution.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
#ifndef _RVP_PROPERTY_H_
#define _RVP_PROPERTY_H_

/**
 * Get the property of the user.
 *
 * @param session  The session on which get the property.
 * @param login    The user's property we ask for.
 * @param host     The users's host
 * @param property The property's name.
 */
void rvp_get_property(RvpSession *session, const gchar *login, const gchar *host,
                      char *property);

/**
 * Get the property of the buddy.
 *
 * @param session  The session on which get the property.
 * @param buddy    The user's property we ask for.
 * @param property The property's name.
 */
void rvp_get_buddy_property(RvpSession *session, const GaimBuddy *buddy,
                            char *property);

#endif /* _RVP_PROPERTY_H_ */
